@media (max-width: 1139px) {
  .footer__logo {
    gap: var(--gap-min);
  }
}

@media (max-width: 641px) {
  .footer__logo {
    margin: var(--mr-container);
  }
}

.footer__logo-img {
  /*
  max-width: var(--width-giant-px);
  max-height: var(--height-small-px);
  */
  max-width: 180px;
  max-height: var(--height-big-px);

  height: var(--height-big-px);

  display: flex;
  justify-content: start;
  align-items: center;
}

.footer__logo-img img {
  max-height: var(--height-big-px);
}

@media (max-width: 1139px) {
  .footer__logo-title {
    font-size: var(--txt-small);
  }
}

.footer-block__menu {
  display: flex;
  align-items: center;
  gap: var(--gap-big);
}

.footer-block__menu li>a {
  text-transform: uppercase;
}

@media (max-width: 1139px) {

  .footer__container {
    padding: var(--mr-small);
  }

  .footer__info-lists {
    width: var(--width-bl-100);
    justify-content: space-between;
  }

  .footer__info-media {
    width: var(--width-bl-100);
    margin-top: var(--mr-medium);
    justify-content: center;
  }

  .footer__media-text {
    text-align: center;
  }

  .footer__media-icons {
    width: var(--width-bl-100);
    justify-content: center;
  }

  .footer__extra p {
    margin-left: var(--mr-zero);
  }
}

.footer__form .upper-form__block .form-main {
  display: flex;
  gap: var(--gap-min);
}

.footer__form .upper-form__block .form-main p {
  margin: var(--mr-zero);
}

.footer__form .upper-form__block .form-main .input-group {
  margin-bottom: var(--mr-min);
}

@media (max-width: 641px) {
  .footer__form .upper-form__block .form-main {
    display: flex;
    flex-direction: column;
    margin-top: var(--mr-small);
    width: var(--width-bl-100);
  }

  .footer__form button,
  .footer__form .upper-form__block .form-main p input[type="submit"] {
    margin-top: var(--mr-medium);
    margin-left: var(--mr-zero);
    width: var(--width-bl-100);
  }
}

@media (max-width: 641px) {

  .footer__logo {
    margin: var(--mr-container);
  }

  .footer__list-block {
    width: var(--width-bl-100);
  }
}

@media (max-width: 641px) {
  .call-back__title {
    text-align: center;
    margin: var(--mr-zero);
  }
}